import { useShallow } from 'zustand/react/shallow';
import { useHistoryStore } from '../store/history';
import { useEffect } from 'react';

export const List = () => {
  const historyStore = useHistoryStore(
    useShallow((state) => {
      return {
        list: state.list,
        getList: state.getList,
      };
    }),
  );
  useEffect(() => {
    historyStore.getList();
  }, []);
  return (
    <div>
      {historyStore.list.map((item) => {
        return <div key={item.id}>{item.id}</div>;
      })}
    </div>
  );
};
