import { Navigate, Route, Routes } from 'react-router-dom';
import { Main } from './layouts';
import {List as HistoryList } from './history/List'

export const App = () => {
  return (
    <Routes>
      <Route element={<Main />}>
        <Route path='/' element={<Navigate to='/chat/history/list' />}></Route>
        <Route path='history/list' element={<HistoryList />} />
      </Route>
    </Routes>
  );
};

